Comment on Google Earth

Google Earth - Mac Snow Leopard
I have installed and working v6.0.2.2074, yet appfresh insists that v6.0.1.2032 is the latest? Eh?